長期メモリをタイプ(セマンティック、エポック、手順、または分類)で検索します。プロジェクトスコープは ルート ID パス パラメーターによって保持され、 組織はそのプロジェクトから派生します。型は検索エンドポイントを選択します。型ごとのフィールド検証は、ターゲット型が受け入れないフィールドを拒否します。
POST /api/v1 /projects/{id}/memory/search
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/search' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: string" \
--data '{
"dedup_threshold": 42.0,
"deduplicate": true,
"domain": "string",
"metadata_filter": {},
"query": "string",
"rank": true,
"session_id": "string",
"similarity_threshold": 42.0,
"tags": [
"string"
],
"top_k": 42,
"type": "string",
"user_id": "string",
"visibility": "string"
}'
リクエスト例
# Headers
Idempotency-Key: string
# Payload
{
"dedup_threshold": 42.0,
"deduplicate": true,
"domain": "string",
"metadata_filter": {},
"query": "string",
"rank": true,
"session_id": "string",
"similarity_threshold": 42.0,
"tags": [
"string"
],
"top_k": 42,
"type": "string",
"user_id": "string",
"visibility": "string"
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{}
応答の例(200)
{}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}